@setlocal
@echo off

rem #############################################################
rem Change the following information accordingly
rem #############################################################

SET MQSIMRDB=MQSIMRDB
SET DBUSERID=db2admin
SET DBPASSWORD=db2admin
SET MQSIREFAPPDIR=C:\mqsirefapp
SET MQSIBINDIR=C:\Program Files\WebSphere MQ Integrator 2.1\bin

cd %MQSIBINDIR%

mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\CustomerCreateDTD.mrm
mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\CustomerCreateIDOC.mrm
mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\ppupd.mrm
mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\pqupddtd.mrm
mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\pqupdidoc.mrm
mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\OrderConfirmIDOC.mrm
mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\OrderDeliveryIDOC.mrm
mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\OrderDeliveryDTD.mrm
mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\OrderInvoice.mrm
mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\OrderIDOC.mrm
mqsiimpexpmsgset -i -n %MQSIMRDB% -u %DBUSERID% -p %DBPASSWORD% -f %MQSIREFAPPDIR%\Orders05DTD.mrm


rem #############################################################
rem Create the customization/literal table CUSTDATA
rem #############################################################

db2 connect to %MQSIMRDB% user %DBUSERID% using %DBPASSWORD%

echo.
set SAP_ORDERS05_MANDT='100'
set SAP_ORDERS05_RCVPRT='LS'
set SAP_ORDERS05_RCVPRN='ZWSOB100'
set SAP_ORDERS05_SNDPRT='LS'
set SAP_ORDERS05_SNDPOR='ARFC'
set SAP_ORDERS05_SNDPRN='ZWSIB100'
set SAP_ORDERS05_DocRel='46C'
set TradingPositionContainerID='10151'
set WC_MemberID='7000000000000000052'
set WC_FFM='10151'
set WC_SAP_OrderType='ZOR1                               '
set WC_SAP_Def_StoreID1='10151'
set WC_SAP_Def_SalesOrganization1='WSO1                               '
set WC_SAP_Def_DistributionChannel1='30                                 '
set WC_SAP_Def_Division1='30                                 '
set SAP_Plant='WSAL'
set SAP_Storage_location='WSL2'

echo Creating literal table CUSTDATA...
db2 CREATE TABLE CUSTDATA ("NAME" VARCHAR (128)  NOT NULL , "VALUE" VARCHAR (256)  NOT NULL , "DESCRIPTION" VARCHAR (1024) , PRIMARY KEY (NAME)  )

rem #############################################################
rem Populate the table. Change the values accordingly.
rem #############################################################

echo Populating the literals...
echo.

db2 insert into custdata values ('TradingPositionContainerID',%TradingPositionContainerID%,'Put the value from TRADEPOSCN table for that particular memeber id.')

db2 insert into custdata values ('WC_MemberID', %WC_MemberID% ,'WebSphere Commerce Business Edition member ID that owns the store and products')

db2 insert into custdata values ('WC_FFM', %WC_FFM% ,'The WebSphere Commerce Business Edition fulfillment center that is mapped to the SAP plant and storage location dedicated to web sales')

db2 insert into custdata values ('WC_SAP_OrderType', %WC_SAP_OrderType% ,'The order type that is expected by the SAP system')

db2 insert into custdata values ('WC_SAP_Def_StoreID1', %WC_SAP_Def_StoreID1% ,'WebSphere Commerce Business Edition store ID that is to be mapped to the above sales organization, division and distribution channel')

db2 insert into custdata values ('WC_SAP_Def_SalesOrganization1', %WC_SAP_Def_SalesOrganization1% ,'SAP sales organization that  is mapped to WebSphere Commerce Business Edition Store')

db2 insert into custdata values ('WC_SAP_Def_DistributionChannel1', %WC_SAP_Def_DistributionChannel1% ,'SAP distribution channel that is mapped to WebSphere Commerce Business Edition store')

db2 insert into custdata values ('WC_SAP_Def_Division1', %WC_SAP_Def_Division1% ,'SAP division that is mapped to WebSphere Commerce Business Edition store')

db2 insert into custdata values ('SAP_Plant', %SAP_Plant% ,'Plant name in SAP')

db2 insert into custdata values ('SAP_Storage_location', %SAP_Storage_location% ,'Storage location in SAP')

db2 insert into custdata values ('SAP_ORDERS05_MANDT', %SAP_ORDERS05_MANDT% ,'Client code')

db2 insert into custdata values ('SAP_ORDERS05_RCVPRT', %SAP_ORDERS05_RCVPRT% ,'Partner type of recipient')

db2 insert into custdata values ('SAP_ORDERS05_RCVPRN', %SAP_ORDERS05_RCVPRN% ,'Partner number of recipient')

db2 insert into custdata values ('SAP_ORDERS05_SNDPRT', %SAP_ORDERS05_SNDPRT% ,'Partner type of sender')

db2 insert into custdata values ('SAP_ORDERS05_SNDPOR', %SAP_ORDERS05_SNDPOR% ,'Sender port (SAP system, external subsystem)')

db2 insert into custdata values ('SAP_ORDERS05_SNDPRN', %SAP_ORDERS05_SNDPRN% ,'Partner number of sender')